<?php
/***************************************************************************
 *   Professional Download System                                          *
 *                                                                         *
 *   Copyright (C) pirdani                                                 *
 *   pirdani@hotmail.de                                                    *
 *   http://pirdani.de/                                                    *
 *                                                                         *
 *   Copyright (C) 2005 EdEdster (Stefan Noss)                             *
 *   http://edsterathome.de/                                               *
 *                                                                         *
 *   Copyright (C) 2006 Artur Wiebe                                        *
 *   wibix@gmx.de                                                          *
 *   http://wibix.de/                                                      *
 *                                                                         *
 *   Released under the terms & conditions of v2 of the                    *
 *   GNU General Public License. For details refer to                      *
 *   the included gpl.txt file or visit http://gnu.org                     *
 ***************************************************************************/
require_once("../../maincore.php");
require_once(BASEDIR."subheader.php");
require_once BASEDIR."side_left.php";
require_once("include/common.php");
if(iPDP_EDIT) {
	fallback("download.php?did=$pdp_did");
}
require_once("include/edit.php");


/*
 * Action
 */
$do_pm = false;
$log = false;
$log_errno = 0;
$log_event = PDP_EV_INVALID;

if(isset($_GET['del'])) {
	$log_event = PDP_EV_DELPIC;
	$log = true;

	unlink($pdp_settings['upload_image'].$pdp_dl['dl_pic']);
	$ok = dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_pic='', dl_mtime='".time()."'"
		." WHERE dl_id='$pdp_did' $pdp_user_access");
	if($ok) {
		$do_pm = true;
	}

} elseif(isset($_POST['upload'])) {
	$log_event = PDP_EV_PICUPLOAD;

	if(!empty($pdp_dl['dl_pic'])) {
		pdp_log_event($log_event, PDP_EIMG);
		fallback(FUSION_SELF."?did=$pdp_did&errno=".PDP_EIMG);
	}
	if(!isset($_FILES['screenshot'])) {
		pdp_log_event($log_event, PDP_EUPLOAD);
		fallback(FUSION_SELF."?did=$pdp_did&errno=".PDP_EUPLOAD);
	}

	$ext = explode(",", $pdp_settings['image_ext']);
	foreach($ext as $key => $val) {
		$ext[$key] = ".".$val;
	}

	$errno = pdp_upload_file($_FILES['screenshot'],
		$pdp_settings['upload_image'],
		$pdp_settings['image_max'], $ext, $screen_fn);
	if($errno) {
		pdp_log_event($log_event, $errno);
		fallback(FUSION_SELF."?did=$did&errno=$errno");
	}

	$file = $pdp_settings['upload_image'].$screen_fn;
	if(!verify_image($file)) {
		pdp_log_event($log_event, PDP_EIMGVERIFY);
		unlink($file);
		fallback(FUSION_SELF."?did=$did"
			."&errno=".PDP_EIMGVERIFY);
	}
	dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
		." SET dl_pic='$screen_fn', dl_mtime='".time()."'"
		." WHERE dl_id='$did' $pdp_user_access");
	$do_pm = true;
	$log_errno = 0;
	$log = true;
}


if($log) {
	pdp_log_event($log_errno, $log_errno);
}


if($do_pm) {
	if($pdp_dl['dl_status']!=PDP_PRO_OFF) {
		if(!iPDP_ADMIN) {
			dbquery("UPDATE ".DB_PREFIX."pdp_downloads"
				." SET dl_status='".PDP_PRO_OFF."'"
				." WHERE dl_id='$did' $pdp_user_access"
				." AND dl_status='".PDP_PRO_ON."'");
			if($pdp_dl['dl_status']!=PDP_PRO_NEW) {
			}
		}
	}
	fallback(FUSION_SELF."?did=$did");

}


/*
 * GUI
 */
if(isset($_GET['errno'])) {
	pdp_process_errno($_GET['errno']);
}

if(!is_writeable($pdp_settings['upload_image'])) {
	pdp_msg(false, str_replace("%s",
		"<b>".$pdp_settings['upload_image']."</b>",
		$locale['PDP900'][PDP_EUPDIR]));
}

if($pdp_dl['dl_status']==PDP_PRO_NEW) {
	pdp_upload_step(2, "edit_files.php", $pdp_did);
}


/*
 * GUI
 */
opentable($locale['PDP015']);
echo $pdp_edit_menu;

if(!empty($pdp_dl['dl_pic'])) {
	echo "<p><a href='".FUSION_SELF."?did=$did&del=1'>"
			.$locale['PDP009']."</a>";

	$file = $pdp_settings['upload_image'].$pdp_dl['dl_pic'];

	echo "<p><a href='$file' target='_blank'>".$locale['PDP028']."</a>";

	if(file_exists($file)) {
		$imagepx = getimagesize($file);
		echo "<div align='center' style='height:500px;overflow:auto;'>"
			."<p>".$pdp_dl['dl_pic']
			."<p>".$imagepx[0]."x".$imagepx[1]
			."<p><img src='$file' alt=''></div>";
	} else {
		echo "<p>".$locale['PDP046'];
	}

} else {
	echo "<form method='post' action='".FUSION_SELF."?did=$pdp_did'"
	." enctype='multipart/form-data'>
<div align='center'>
<input type='file' name='screenshot' class='textbox' size='50'><br>
<span class='small2'>".parsebytesize($pdp_settings['image_max'])." / "
	.str_replace(",", ", ", $pdp_settings['image_ext'])."</span>
<br><br>
<input type='submit' class='button' name='upload'"
	." value='".$locale['PDP010']."'>
</div>
</form>\n";
}

closetable();


require_once BASEDIR."side_right.php";
require_once(BASEDIR."footer.php");
?>
